Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 617892 - Unmounting removes mount point
Unmounting removes mount point
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: util-linux-ng (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-24 13:24 EDT by Johan Vromans
Modified: 2010-10-07 06:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-07 06:57:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johan Vromans 2010-07-24 13:24:45 EDT
Description of problem:

Some unmounts cause the mount point to be removed.

Explanation: I have several USB devices in my system. When I pkug in a USB stick I can mount it, and unmount it. However, if the stick happens to be assigned /dev/sdj then the mount point on disk is removed upon unmount.

Version-Release number of selected component (if applicable):

Fedora 13, all patches up to date.

How reproducible:

On my system: Very.

Steps to Reproduce:
1. mkdir /mnt/tmp
2. mount /dev/sdj1 /mnt/tmp
3. umount /dev/sdj1
4. ls /mnt/tmp

Actual results:

ls: cannot access /mnt/tmp/: No such file or directory

Expected results:

<nothing>

Additional info:

I know this is very weird. I really do not have a clue where to start looking. 
It is very unlikely that mount is the culpit (strace umount doesn't show any unlinking either). It is probably something in my system setup. But what?
I killed the hald-addon-storage and udisks-daemon but that didn't help.
Suggestions are welcome.
Comment 1 Karel Zak 2010-07-26 05:25:24 EDT
Please, try

   cat /etc/mtab
   cat /proc/self/mountinfo

   umount /dev/sdj1
   
   cat /etc/mtab
   cat /proc/self/mountinfo

did you try to 

   umount /mnt/tmp

rather than /dev/sdj1?
   
Note that there is nothing line "rmdir <mountpoint>" in umount(8).

Note You need to log in before you can comment on or make changes to this bug.